<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::simulator::VisualizationCamera Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1simulator_1_1_visualization_camera.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classflair_1_1simulator_1_1_visualization_camera-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::simulator::VisualizationCamera Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::simulator::VisualizationCamera:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1simulator_1_1_visualization_camera.png" usemap="#flair::simulator::VisualizationCamera_map" alt=""/>
  <map id="flair::simulator::VisualizationCamera_map" name="flair::simulator::VisualizationCamera_map">
<area href="classflair_1_1simulator_1_1_fixed_camera.html" alt="flair::simulator::FixedCamera" shape="rect" coords="0,112,211,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a1b2f957050ac19ed23a0f3c39eb37963"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b2f957050ac19ed23a0f3c39eb37963"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>AxisType</b> { <b>vrpn</b>, 
<b>earth</b>, 
<b>none</b>
 }</td></tr>
<tr class="separator:a1b2f957050ac19ed23a0f3c39eb37963"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3ea1eff51f053d881aebfcab6eef42b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ea1eff51f053d881aebfcab6eef42b5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>VisualizationCamera</b> (std::string name)</td></tr>
<tr class="separator:a3ea1eff51f053d881aebfcab6eef42b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e5d590e6bb93f759c4dbb9d227f0d43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e5d590e6bb93f759c4dbb9d227f0d43"></a>
ISceneNodeAnimator *&#160;</td><td class="memItemRight" valign="bottom"><b>createClone</b> (irr::scene::ISceneNode *node, irr::scene::ISceneManager *newManager=0)</td></tr>
<tr class="separator:a4e5d590e6bb93f759c4dbb9d227f0d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0b2e8a322217805db4e42a6e9d3d2e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0b2e8a322217805db4e42a6e9d3d2e8"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>OnEvent</b> (const irr::SEvent &amp;event)</td></tr>
<tr class="separator:af0b2e8a322217805db4e42a6e9d3d2e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee63f36269614f956ca607ae36d191fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee63f36269614f956ca607ae36d191fb"></a>
irr::scene::ICameraSceneNode *&#160;</td><td class="memItemRight" valign="bottom"><b>getCameraSceneNode</b> (void)</td></tr>
<tr class="separator:aee63f36269614f956ca607ae36d191fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add4b9d179dbd2bd8422bd49239b33dcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add4b9d179dbd2bd8422bd49239b33dcb"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getName</b> (void)</td></tr>
<tr class="separator:add4b9d179dbd2bd8422bd49239b33dcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4550acc8d6efd8ba40a29a72da637f5f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4550acc8d6efd8ba40a29a72da637f5f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>renderAxisToTexture</b> (irr::video::ITexture *texture, irr::gui::IGUIFont *font, AxisType axisType)</td></tr>
<tr class="separator:a4550acc8d6efd8ba40a29a72da637f5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a275488408235bb7d13171714c7dae00c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a275488408235bb7d13171714c7dae00c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>LMouseKey</b></td></tr>
<tr class="separator:a275488408235bb7d13171714c7dae00c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af31e96590ba885c4e6b9ae4b3223f885"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af31e96590ba885c4e6b9ae4b3223f885"></a>
irr::scene::ICameraSceneNode *&#160;</td><td class="memItemRight" valign="bottom"><b>camera</b></td></tr>
<tr class="separator:af31e96590ba885c4e6b9ae4b3223f885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41f68bcef3b808fc9e7c5e2590654fe4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41f68bcef3b808fc9e7c5e2590654fe4"></a>
irr::scene::ICameraSceneNode *&#160;</td><td class="memItemRight" valign="bottom"><b>axis_camera</b></td></tr>
<tr class="separator:a41f68bcef3b808fc9e7c5e2590654fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a179401c09a6a0c3ec733658e6aed06c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a179401c09a6a0c3ec733658e6aed06c4"></a>
irr::core::position2df&#160;</td><td class="memItemRight" valign="bottom"><b>MousePos</b></td></tr>
<tr class="separator:a179401c09a6a0c3ec733658e6aed06c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c08e08f09414391a13423ea15bf3d8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c08e08f09414391a13423ea15bf3d8f"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>currentZoom</b></td></tr>
<tr class="separator:a5c08e08f09414391a13423ea15bf3d8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1b5a4957956ecae606fd5111dd3120a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1b5a4957956ecae606fd5111dd3120a"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>name</b></td></tr>
<tr class="separator:ac1b5a4957956ecae606fd5111dd3120a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1simulator.html">simulator</a></li><li class="navelem"><a class="el" href="classflair_1_1simulator_1_1_visualization_camera.html">VisualizationCamera</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
